boundry.
RegionSydney, Australia
Documentation/List event logs
GET/logs

List event logs

Authentication

Bearer authentication is required for this operation.

Request examples

request.sh
bash
curl --request GET 'https://api.au.boundry.dev/logs' \
+  -H 'Authorization: Bearer $BOUNDRY_API_KEY' \
+

200 response

Email event logs for the authenticated project.

FieldTypeDescription
datarequiredarray

Event log entries.

created_atrequiredstring (date-time)

Timestamp when the event occurred. Example: "2026-08-14T12:00:00.000Z".

email_idrequiredstring

Related email identifier. Example: "msg_01j0example".

eventrequiredstring

Email event type. Values: "email.queued", "email.scheduled", "email.sending", "email.sent", "email.delivered", "email.delivery_delayed", "email.bounced", "email.complained", "email.opened", "email.clicked", "email.failed", "email.canceled", "email.received", "email.stored".

idrequiredstring

Log entry identifier. Example: "msg_01j0example".

messagerequiredstring

Event detail.

objectrequiredstring

Resource type discriminator. Values: "log".

requestrequiredobject

Originating API request.

methodrequiredstring

Original request method. Values: "POST".

pathrequiredstring

Original request path. Values: "/inbound", "/emails".

has_morerequiredboolean

Local mode does not paginate. Values: false.

response.jsonExample response
application/json
{
  "data": [],
  "has_more": false
}

401 response

Invalid API key.

FieldTypeDescription
errorsarray

Detailed validation issues. Absent only for the historical 401 API-key envelope.

coderequiredstring

Zod validation issue code. Example: "invalid_format".

messagerequiredstring

Human-readable validation failure. Example: "Invalid email address".

pathrequiredstring

Dot-separated location of the invalid value. Example: "from".

messagerequiredstring

Human-readable error message. Example: "Request validation failed.".

namerequiredstring

Machine-readable error category. Values: "validation_error", "application_error", "not_found". Example: "validation_error".

response.jsonExample response
application/json
{
  "data": [],
  "has_more": false
}